Skip to main content
PATCH
Update a role
Updates an existing custom role. System roles cannot be updated. All fields are optional - only provided fields will be updated.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the requested organization.

roleId
string<uuid>
required

ID of the requested role.

Body

application/json
name
string

New name for the role

actors
string[]

New list of actor resource IDs (replaces existing actors)

policies
object[]

New list of policies (replaces existing policies)

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 21, 2026